wibble::sys::Condition Class Reference

`#include <mutex.h>`

## Public Member Functions

| Condition ()
| Condition (const Condition &)
| ~Condition ()
void | signal ()
| Wake up one process waiting on the condition. More...
void | broadcast ()
| Wake up all processes waiting on the condition. More...
void | wait (MutexLock &l)
| Wait on the condition, locking with l. More...
void | wait (Mutex &l)

## Constructor & Destructor Documentation

## Condition() [1/2]

wibble::sys::Condition::Condition | ( |  | ) |

inline

## Condition() [2/2]

wibble::sys::Condition::Condition | ( | const Condition & |  | ) |

inline

## ~Condition()

wibble::sys::Condition::~Condition | ( |  | ) |

inline

## Member Function Documentation

## broadcast()

void wibble::sys::Condition::broadcast | ( |  | ) |

inline

Wake up all processes waiting on the condition.

## signal()

void wibble::sys::Condition::signal | ( |  | ) |

inline

Wake up one process waiting on the condition.

## wait() [1/2]

void wibble::sys::Condition::wait | ( | Mutex & | l | ) |

inline

## wait() [2/2]

void wibble::sys::Condition::wait | ( | MutexLock & | l | ) |

inline

Wait on the condition, locking with l.

l is unlocked before waiting and locked again before returning.

References wibble::sys::MutexLockT< Mutex >::mutex.

The documentation for this class was generated from the following file:

- mutex.h